CVE-2005-1507
CVSS5.0
发布时间 :2005-05-11 00:00:00
修订时间 :2016-10-17 23:20:30
NMCOS    

[原文]Buffer overflow in the Tomcat plugin in 4d WebSTAR 5.33 and 5.4 allows remote attackers to cause a denial of service and possibly execute arbitrary code via a long URL.


[CNNVD]4D WebStar Tomcat插件远程溢出漏洞(CNNVD-200505-967)

        4D WebSTAR是一款提供WEB、FTP和MAIL服务的Mac OS X平台产品。
        4d WebSTAR 5.x版本默认捆绑并启用的的Web Server Tomcat插件中存在缓冲区溢出漏洞,远程攻击者可能利用此漏洞执行拒绝服务攻击。
        攻击者可以利用这个漏洞导致拒绝服务,但由于4d WebSTAR会在服务进程崩溃后重启进程,因此攻击者必须大约每半秒发送一次恶意报文才能形成有效的拒绝服务。
        理论上也可利用这个溢出漏洞远程执行代码,但攻击可能性很小。
        

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:4d:webstar:5.3.3
cpe:/a:4d:webstar:5.4

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-1507
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-1507
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200505-967
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=111541709402784&w=2
(UNKNOWN)  BUGTRAQ  20050506 4d WebSTAR 5.x Web Server Mac OS X Buffer Overflow
http://www.securityfocus.com/bid/13538
(UNKNOWN)  BID  13538
http://xforce.iss.net/xforce/xfdb/20478
(UNKNOWN)  XF  4d-webstar-plugin-bo(20478)

- 漏洞信息

4D WebStar Tomcat插件远程溢出漏洞
中危 缓冲区溢出
2005-05-11 00:00:00 2005-10-20 00:00:00
远程  
        4D WebSTAR是一款提供WEB、FTP和MAIL服务的Mac OS X平台产品。
        4d WebSTAR 5.x版本默认捆绑并启用的的Web Server Tomcat插件中存在缓冲区溢出漏洞,远程攻击者可能利用此漏洞执行拒绝服务攻击。
        攻击者可以利用这个漏洞导致拒绝服务,但由于4d WebSTAR会在服务进程崩溃后重启进程,因此攻击者必须大约每半秒发送一次恶意报文才能形成有效的拒绝服务。
        理论上也可利用这个溢出漏洞远程执行代码,但攻击可能性很小。
        

- 公告与补丁

        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        http://www.4d.com/

- 漏洞信息

16154
4D WebSTAR Tomcat Plugin URL Remote Overflow
Remote / Network Access Denial of Service, Input Manipulation
Loss of Integrity, Loss of Availability
Exploit Public

- 漏洞描述

A remote overflow exists in 4D WebSTAR. The Tomcat plugin fails to validate URLs resulting in a buffer overflow. With a specially crafted request, an attacker can cause arbitrary code execution or denial of service resulting in a loss of integrity, and/or availability.

- 时间线

2005-05-06 2005-03-31
2005-05-06 Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

- 漏洞信息

4D WebStar Tomcat Plugin Remote Buffer Overflow Vulnerability
Boundary Condition Error 13538
Yes No
2005-05-06 12:00:00 2009-07-12 02:06:00
Discovery is credited to Braden Thomas <bjthomas@usc.edu>.

- 受影响的程序版本

4D WebSTAR 5.4
4D WebSTAR 5.3.3

- 漏洞讨论

The Tomcat Plugin supplied with the HTTP server is reportedly prone to a remote buffer overflow vulnerability.

A successful attack can result in a crash or arbitrary code execution allowing the attacker to gain unauthorized access to the affected computer.

The Tomcat Plugin is enabled by default.

4D WebStar 5.3.3 and 5.4 were reported to be vulnerable.

- 漏洞利用

Exploit code is available:

- 解决方案

The vendor has released a fix:


4D WebSTAR 5.3.3

4D WebSTAR 5.4

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站